Skip to main content

Get a consumer user transaction

GET 

/auth/company/consumer-users/:consumer_user_id/transactions/:id

Get a consumer user transaction

Request

Path Parameters

    id stringrequired

    Unique ID of the transaction to retrieve.

    consumer_user_id stringrequired

    Unique ID of the consumer user in scope.

Responses

successful operation

Schema

    id uuidrequired

    cents id of the transaction

    external_id stringrequired

    Payment gateway id, the payment gateway unique name identifier is put at the begining of the string (this is inserted by cents according to the logged user)

    company_id uuidrequired

    Cents id of the company

    order_amount floatrequired

    Transaction amount

    total_amount floatrequired

    Transaction amount

    currency stringrequired

    Transaction currency

    charity_id uuidrequired

    Cents id of the charity

    donation_cause stringrequired

    Cause unique name (in the namespace of the charity)

    donation_amount integerrequired

    Donation amount (in the smallest currency unit, so 1000 is 10.00€)

    donation_percentage integer

    Donation percentage if available (in integer format, so 3% is 3)

    donation_currency stringrequired

    Donation currency

    created_date daterequired

    Transaction created date

    updated_date daterequired

    Transaction updated date

    consumer_user_id stringrequired

    Cents id of consumer user (if we have data of it)

    consumer_user_full_name stringrequired

    Consumer user name (if we have data of it)

    consumer_user_email emailrequired

    Consumer user email (if we have data of it)

    consumer_user_email_anonymized boolean

    Consumer user email anonymized flag (if email is anonymized or not)

    consumer_user_phone stringrequired

    Consumer user phone number (if we have data of it)

    billable_address

    object

    required

    street_address stringrequired
    city stringrequired
    region_state stringrequired
    zip_code stringrequired
    country stringrequired
    payment_method uuid

    Payment method id used for this transactions.

    transaction_status stringrequired

    Possible values: [pre_transaction, draft, to_be_payed, paid, refunded, disputed, failed]

    Transaction status

    refunded_amount floatrequired

    Refunded amount

    reconciliation_id stringrequired

    External ID (generated by the company) used to reconcilate transaction with the pre_transaction

Loading...